# Class: GraphicMultiPoint

## GraphicMultiPoint()

#### new GraphicMultiPoint()

Source:
  - GraphicMultiPoint.js, line 10

### Methods

#### (async, static) appendPoint(point) → {Promise.<void>}

追加一个点

##### Parameters:

Name | Type | Description
--- | --- | ---
`point` | Object |

Source:
  - GraphicMultiPoint.js, line 143

##### Returns:

Type
  Promise.<void>

#### (async, static) appendPoints(pointArr) → {Promise.<void>}

追加一组点

##### Parameters:

Name | Type | Description
--- | --- | ---
`pointArr` | Object |

Source:
  - GraphicMultiPoint.js, line 157

##### Returns:

Type
  Promise.<void>

#### (async, static) createObj() → {Promise.<GraphicMultiPoint>}

构造一个新的 GraphicMultiPoint 对象。

Source:
  - GraphicMultiPoint.js, line 32

##### Returns:

Type
  Promise.<GraphicMultiPoint>

#### (async, static) getPoint() → {Promise.<Dot>}

获取指定索引的坐标点

Source:
  - GraphicMultiPoint.js, line 99

##### Returns:

Type
  Promise.<Dot>

#### (async, static) getPointCount() → {Promise.<*>}

获取圆边界线的宽度

Source:
  - GraphicMultiPoint.js, line 85

##### Returns:

Type
  Promise.<*>

#### (async, static) getPoints() → {Promise.<*>}

获取是否符号化显示

Source:
  - GraphicMultiPoint.js, line 63

##### Returns:

Type
  Promise.<*>

#### (async, static) getPointSize() → {Promise.<*>}

获取圆边界线的颜色

Source:
  - GraphicMultiPoint.js, line 128

##### Returns:

Type
  Promise.<*>

#### (async, static) insertPoint(index, point) → {Promise.<void>}

在指定索引处插入点

##### Parameters:

Name | Type | Description
--- | --- | ---
`index` |  |
`point` |  |

Source:
  - GraphicMultiPoint.js, line 214

##### Returns:

Type
  Promise.<void>

#### (async, static) removeAllPoints() → {Promise.<void>}

移除所有点

Source:
  - GraphicMultiPoint.js, line 199

##### Returns:

Type
  Promise.<void>

#### (async, static) removePoint(index) → {Promise.<void>}

移除指定索引的点

##### Parameters:

Name | Type | Description
--- | --- | ---
`index` |  |

Source:
  - GraphicMultiPoint.js, line 186

##### Returns:

Type
  Promise.<void>

#### (async, static) setPoints(point, radius) → {Promise.<void>}

设置一组坐标点

##### Parameters:

Name | Type | Description
--- | --- | ---
`point` | Object |
`radius` | Number |

Source:
  - GraphicMultiPoint.js, line 50

##### Returns:

Type
  Promise.<void>

#### (async, static) setPointSize(size) → {Promise.<void>}

设置点的大小

##### Parameters:

Name | Type | Description
--- | --- | ---
`size` | Number |

Source:
  - GraphicMultiPoint.js, line 116

##### Returns:

Type
  Promise.<void>

#### (async, static) updatePoint(index, point) → {Promise.<void>}

更新指定索引处的点

##### Parameters:

Name | Type | Description
--- | --- | ---
`index` |  |
`point` |  |

Source:
  - GraphicMultiPoint.js, line 172

##### Returns:

Type
  Promise.<void>